<div>
  <h2 id="page-heading" data-cy="SolicitacaoHeading">
    <span jhiTranslate="madmApp.solicitacao.home.title">Solicitacaos</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info mr-2" (click)="loadAll()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span jhiTranslate="madmApp.solicitacao.home.refreshListLabel">Refresh List</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-solicitacao"
        [routerLink]="['/solicitacao/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span jhiTranslate="madmApp.solicitacao.home.createLabel"> Create a new Solicitacao </span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  <div class="alert alert-warning" id="no-result" *ngIf="solicitacaos?.length === 0">
    <span jhiTranslate="madmApp.solicitacao.home.notFound">No solicitacaos found</span>
  </div>

  <div class="table-responsive" id="entities" *ngIf="solicitacaos && solicitacaos.length > 0">
    <table class="table table-striped" aria-describedby="page-heading">
      <thead>
        <tr>
          <th scope="col"><span jhiTranslate="global.field.id">ID</span></th>
          <th scope="col"><span jhiTranslate="madmApp.solicitacao.codSolicitacao">Cod Solicitacao</span></th>
          <th scope="col"><span jhiTranslate="madmApp.solicitacao.codUsuario">Cod Usuario</span></th>
          <th scope="col"><span jhiTranslate="madmApp.solicitacao.tipoSolicitacao">Tipo Solicitacao</span></th>
          <th scope="col"><span jhiTranslate="madmApp.solicitacao.agenda">Agenda</span></th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let solicitacao of solicitacaos; trackBy: trackId" data-cy="entityTable">
          <td>
            <a [routerLink]="['/solicitacao', solicitacao.id, 'view']">{{ solicitacao.id }}</a>
          </td>
          <td>{{ solicitacao.codSolicitacao }}</td>
          <td>{{ solicitacao.codUsuario }}</td>
          <td jhiTranslate="{{ 'madmApp.TipoSolicitacao.' + solicitacao.tipoSolicitacao }}">{{ solicitacao.tipoSolicitacao }}</td>
          <td>
            <div *ngIf="solicitacao.agenda">
              <a [routerLink]="['/agenda', solicitacao.agenda?.id, 'view']">{{ solicitacao.agenda?.id }}</a>
            </div>
          </td>
          <td class="text-right">
            <div class="btn-group">
              <button
                type="submit"
                [routerLink]="['/solicitacao', solicitacao.id, 'view']"
                class="btn btn-info btn-sm"
                data-cy="entityDetailsButton"
              >
                <fa-icon icon="eye"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
              </button>

              <button
                type="submit"
                [routerLink]="['/solicitacao', solicitacao.id, 'edit']"
                class="btn btn-primary btn-sm"
                data-cy="entityEditButton"
              >
                <fa-icon icon="pencil-alt"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
              </button>

              <button type="submit" (click)="delete(solicitacao)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                <fa-icon icon="times"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
              </button>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
